%global modname colander

Name:           python-%{modname}
Version:        1.2
Release:        1%{?dist}
Summary:        A serialization/deserialization/validation library for strings, mappings and lists

License:        BSD
URL:            https://github.com/Pylons/colander
Source0:        %{url}/archive/%{version}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

%global _description \
An extensible package which can be used to:\
\
* deserialize and validate a data structure composed of strings, mappings,\
  and lists.\
* serialize an arbitrary data structure to a data structure composed of\
  strings, mappings, and lists.

%description %{_description}

%package -n python2-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-nose
BuildRequires:  python-translationstring
BuildRequires:  python2-iso8601
Requires:       python-translationstring
Requires:       python2-iso8601

%description -n python2-%{modname} %{_description}

Python 2 version.

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
BuildRequires:  python3-translationstring
BuildRequires:  python3-iso8601
Requires:       python3-translationstring
Requires:       python3-iso8601

%description -n python3-%{modname} %{_description}

Python 3 version.

%prep
%autosetup -n %{modname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{modname}
%license LICENSE.txt
%doc CHANGES.rst README.rst
%{python2_sitelib}/%{modname}-*.egg-info/
%{python2_sitelib}/%{modname}/

%files -n python3-%{modname}
%license LICENSE.txt
%doc CHANGES.rst README.rst
%{python3_sitelib}/%{modname}-*.egg-info/
%{python3_sitelib}/%{modname}/

%changelog
* Tue May 10 2016 Igor Gnatenko <ignatenko@redhat.com> - 1.2-1
- Initial package
